# Lewis Crawler
# 2021 - 2022
# Kitsune Scientific

import time

from houston.robotstreamer.streamer import RobotStreamer


class Houston:
    def __init__(self, logger):
        # Setup logger
        self.log = logger

        # Setup robotstreamer
        self.rs = RobotStreamer(self.log)

        # We're ready to go!
        self.log.success('Ready to robot!')

    def run(self):
        self.rs.run()

        # Junk~
        while True:
            try:
                self.log.debug('Nothing to do.')
                time.sleep(1)
            except KeyboardInterrupt:
                break
